Skip to content

Retrieve a quote by ID

Request

Get quote info by ID. If the quote has expired (not used to create a transfer within 30 minutes of quote creation), it will only be accessible for approximately 48 hours via this endpoint.

Security
UserToken
Path
profileIdinteger, (int64)required

Personal or business profile ID.

Example:101
quoteIdstring, (uuid)required

The quote ID (GUID format).

Example:11144c35-9fe8-4c32-b7fd-d05c2a7734bf
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/v3/profiles/101/quotes/11144c35-9fe8-4c32-b7fd-d05c2a7734bf \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Returns a quote object.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring, (uuid)

ID of this quote (GUID format).

Example:"11144c35-9fe8-4c32-b7fd-d05c2a7734bf"
sourceCurrencystring

Source (sending) currency code.

Example:"GBP"
targetCurrencystring

Target (receive) currency code.

Example:"USD"
sourceAmountnumber

Amount in source currency to send.

Example:100
targetAmountnumber

Amount in target currency to be received by the recipient.

Example:129.24
payOutstring

Mechanism we use to deliver the transfer. Not usually of interest to the user.

Example:"BANK_TRANSFER"
preferredPayInstring

Preferred pay-in method.

Example:"BANK_TRANSFER"
ratenumber

Exchange rate value used for the conversion.

Example:1.30445
createdTimestring, (date-time)

Quote created timestamp.

Example:"2019-04-05T13:18:58Z"
userinteger, (int64)

User ID who created the quote.

Example:55
profileinteger, (int64)

Personal or business profile ID.

Example:101
rateTypestring

Whether the rate is fixed or floating.

Enum:"FIXED""FLOATING"
Example:"FIXED"
rateExpirationTimestring, (date-time)

Time the locked rate will expire.

Example:"2019-04-08T13:18:57Z"
guaranteedTargetAmountAllowedboolean

Whether guaranteed target amount is allowed.

Example:true
targetAmountAllowedboolean

Whether target amount is allowed.

Example:true
guaranteedTargetAmountboolean

Whether the target amount is guaranteed.

Example:false
providedAmountTypestring

Whether the quote was created as source or target.

Enum:"SOURCE""TARGET"
Example:"SOURCE"
pricingConfigurationobject

Allows for pricing configurations to be overridden by partners on a transfer level.

paymentOptionsArray of objects

List of the methods a user can pay for the transfer.

statusstring

Current status of this quote.

Enum:"PENDING""ACCEPTED""FUNDED""EXPIRED"
Example:"PENDING"
expirationTimestring, (date-time)

The time the quote expires.

Example:"2019-04-05T13:48:58Z"
noticesArray of objects

Array of messages to display to the user. May be empty ([]) if there are no messages.

Response
{ "id": "11144c35-9fe8-4c32-b7fd-d05c2a7734bf", "sourceCurrency": "GBP", "targetCurrency": "USD", "sourceAmount": 100, "targetAmount": 129.24, "payOut": "BANK_TRANSFER", "preferredPayIn": "BANK_TRANSFER", "rate": 1.30445, "createdTime": "2019-04-05T13:18:58Z", "user": 55, "profile": 101, "rateType": "FIXED", "rateExpirationTime": "2019-04-08T13:18:57Z", "guaranteedTargetAmountAllowed": true, "targetAmountAllowed": true, "guaranteedTargetAmount": false, "providedAmountType": "SOURCE", "pricingConfiguration": { "fee": { "type": "OVERRIDE", "variable": 0.011, "fixed": 15.42 } }, "paymentOptions": [ { "disabled": false, "estimatedDelivery": "2019-04-08T12:30:00Z", "formattedEstimatedDelivery": "by Apr 8", "estimatedDeliveryDelays": [], "fee": {}, "price": {}, "sourceAmount": 100, "targetAmount": 129.24, "sourceCurrency": "GBP", "targetCurrency": "USD", "payIn": "BANK_TRANSFER", "payOut": "BANK_TRANSFER", "allowedProfileTypes": [], "payInProduct": "CHEAP", "feePercentage": 0.0092, "disabledReason": {} } ], "status": "PENDING", "expirationTime": "2019-04-05T13:48:58Z", "notices": [ { "text": "You can have a maximum of 3 open transfers with a guaranteed rate. After that, they'll be transferred using the live rate. Complete or cancel your other transfers to regain the use of guaranteed rate.", "link": null, "type": "WARNING" } ] }